import { Router, NavigationEnd } from '@angular/router';
import { AuthBaseService } from 'totvs-log-base-foundation';
import { Component, OnInit } from '@angular/core';
/**
 * Representa um componente para aceitar o redirecionamento de callback do fluxo de oauth2
 */
@Component({
    selector: 'lib-auth-callback',
    template: ''
})
export class AuthCallbackComponent implements OnInit {

    /**
     * Creates an instance of AuthCallbackComponent.
     */
    constructor(private router: Router, private authService: AuthBaseService) {
        this.router.events.forEach(event => {
            if (event instanceof NavigationEnd) {
                this.authService
                .completeAuthentication()
                .then(() => {
                    this.authService
                    .getUser()
                    .then((user) => {
                        this.authService.userLoadedEvent.emit(user);
                    });
                });
            }
        });
    }

    ngOnInit() {
    }
}
