import { AuthBaseService } from 'totvs-log-base-foundation';
import { Injectable } from '@angular/core';
import { CanActivate } from '@angular/router';
/**
 * Implementação de guard com uso do serviço de autenticação padrão
 */
@Injectable()
export class AuthGuard implements CanActivate {

    /**
     * Creates an instance of AuthGuard.
     */
    constructor(private authService: AuthBaseService) { }

    /**
     * Implementação do serviço angular que previne o carregamento de componentes, se necessário
     */
    async canActivate(): Promise<boolean> {

        const isAuthorized = await this.authService.authorize();

        if (isAuthorized) {
            const user = await this.authService.getUser();
            this.authService.userLoadedEvent.next(user);
        }

        return isAuthorized;
    }
}
