import { HttpClientModule } from '@angular/common/http';
import { AuthService } from './auth.service';
import { AuthModule } from './auth.module';
import {
  AuthBaseService,
  UserPermissionService,
  AUTH_SETTINGS,
  IAuthSettings,
  IAuthHandlerType,
  AuthHandlerType,
  AUTH_TYPE,
  IUserPermissionServiceSettings,
  USER_PERMISSION_SETTINGS
 } from 'totvs-log-base-foundation';
import { TestBed } from '@angular/core/testing';

describe('Suite de testes do modulo: AuthModule', () => {

  let authBaseService: AuthBaseService;
  let authService: AuthService;
  let userService: UserPermissionService;
  const authSettings: IAuthSettings = {
    authority: '',
    client_id: '',
    redirect_uri: '',
    post_logout_redirect_uri: '',
    response_type: '',
    scope: '',
    loadUserInfo: false,
    silent_redirect_uri: '',
    automaticSilentRenew: false,
    revokeAccessTokenOnSignout: false,
    monitorSession: false,
    filterProtocolClaims: false,
  };
  const handlerTypeSettings: IAuthHandlerType = {
    type: AuthHandlerType.oauth2
  };
  const userPermissionSettings: IUserPermissionServiceSettings = {
    featuresEndpoint : '',
    allUsersEndpoint: '',
    permissionsGrantedEndpoint: ''
  };
  beforeEach(() => {

    TestBed.configureTestingModule({
      imports: [AuthModule.forRoot(), HttpClientModule],
      declarations: [],
      providers: [
        {
          provide: AUTH_SETTINGS,
          useValue: authSettings
        },
        {
          provide: AUTH_TYPE,
          useValue: handlerTypeSettings
        },
        {
          provide: USER_PERMISSION_SETTINGS,
          useValue: userPermissionSettings
        }
      ]
    });

    authBaseService = TestBed.get(AuthBaseService);
    authService = TestBed.get(AuthService);
    userService = TestBed.get(UserPermissionService);

  });

  it('Injeção de dependência funcionando corretamente', () => {

    expect(authBaseService).toBeTruthy();
    expect(authService).toBeTruthy();
    expect(userService).toBeTruthy();

  });

});
