import { LoadingService } from './../loading/loading.service';
import { I18nBaseService, MessageDisplayerService } from 'totvs-log-base-foundation';
import { Injectable } from '@angular/core';

/**
 * Serviço responsável por métodos e atributos utilizados por toda aplicação web
 */
@Injectable()
export class GlobalService {

    /**
     * Método construtor que inicializa a classe
     * @param i18n Parâmetro do serviço de internacionalização
     * @param msg  Parâmetro do serviço de mensagens
     * @param loading Parâmetro do serviço de loading
     */
    constructor(
        public i18n: I18nBaseService,
        public msg: MessageDisplayerService,
        public loading: LoadingService) {

    }
}
