import { I18nBaseServiceMock } from './../../../test-utils/mock/i18n-base-service.mock';
import { IntlModule } from './../intl.module';
import { LiteralLoaderMock, I18nBaseService } from 'totvs-log-base-foundation';
import { IntlLiteralsLoaderService } from './../intl-literal-loader.service';
import { INTL_CONFIG } from './../intl.service';
import { async, ComponentFixture, TestBed } from '@angular/core/testing';
import { ChangeLanguageComponent } from './change-language.component';

describe('ChangeLanguageComponent', () => {

  let component: ChangeLanguageComponent;
  let fixture: ComponentFixture<ChangeLanguageComponent>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [
        IntlModule,
      ],
      providers: [
        {
          provide: INTL_CONFIG,
          useValue: {
            url: ' '
          }
        },
        {
          provide: I18nBaseService,
          useClass: I18nBaseServiceMock
        },
        {
          provide: IntlLiteralsLoaderService,
          useFactory: () => LiteralLoaderMock.instance({
            changeLanguage: 'Alterar Idioma',
            selectLanguage: 'Selecione o idioma',
            save: 'Salvar',
            cancel: 'Cancelar'
          })
        },
      ]
    })
      .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(ChangeLanguageComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
