import { IIntlConfig } from './intl-config.interface';
import { I18nBaseService } from 'totvs-log-base-foundation';

export const i18nFactory = (i18n: I18nBaseService, config: IIntlConfig) => {
  return () => new Promise<any>(resolve => {
    if (config.lazy) {
      resolve(true);
    } else {
      i18n.updateOptions({}).subscribe(() => {
        resolve(true);
      }, (error) => {
        console.error(error);
        resolve(false);
      });
    }
  });
};
