import { I18nBaseService } from 'totvs-log-base-foundation';
import { NgModule } from '@angular/core';
import { IntlService } from './intl.service';
import { ThfI18nModule, ThfModalModule, ThfComponentsModule } from '@totvs/thf-ui';
import { IntlLiteralsLoaderService } from './intl-literal-loader.service';
import { ChangeLanguageComponent } from './change-language/change-language.component';
import { FormsModule } from '@angular/forms';

@NgModule({
    imports: [
      FormsModule,
      ThfModalModule,
      ThfComponentsModule,
      ThfI18nModule.config(IntlService.i18nConfig)
    ],
    exports: [
      ThfI18nModule,
      ChangeLanguageComponent
    ],
    providers: [
      IntlService,
      IntlLiteralsLoaderService,
      {
        provide: I18nBaseService,
        useClass: IntlService
      }
    ],
    declarations: [
      ChangeLanguageComponent
    ]
  })
  export class IntlModule {
  }
