import { Component, NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { ThfComponentInjectorService } from '@totvs/thf-ui';
import { CommonModule } from '@angular/common';
import { MessageComponent } from '../services/message/message.component';
import { ThfModule } from '@totvs/thf-ui';
/*
Dicas para usar o component injector do thf:
import { async, TestBed, inject } from '@angular/core/testing';
beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [TestModule],
      providers: [ThfComponentInjectorService]
    }).compileComponents();
  }));
*/
@Component({
  template: `<div class="test-component-class">test component</div>`
})
export class TestComponent {
  constructor(private thfComponentInjectorService: ThfComponentInjectorService) {
    this.testMethod();
  }
  private testMethod() {
    return this.thfComponentInjectorService === undefined;
  }
}

@NgModule({
  imports: [CommonModule, ThfModule],
  declarations: [TestComponent, MessageComponent],
  entryComponents: [TestComponent, MessageComponent],
  providers: [
    ThfComponentInjectorService
  ],
  exports: [CommonModule, ThfModule],
  schemas: [NO_ERRORS_SCHEMA]
})
export class TestInjectorModule { }
